URI#normalize incomplete
Status: Closed
Description

=begin

"hTTp://example.com/" and "http://exa%4dple.com/" should both be normalized to "http://example.com/" as per RFC 3986.

They currently are not and thus not considered ==.

Tests added to RubySpec
=end

History

#1 - 12/31/2009 10:47 PM - naruse (Yui NARUSE)
- Category set to lib

- Status changed from Assigned to Rejected

=begin
URI#normalize is based on RFC 2396.
=end

#2 - 12/31/2009 11:56 PM - vvs (Vladimir Sizikov)
=begin

If this ticket is rejected, should the RubySpecs reverted as well? Otherwise, they'll continue to fail on all implementations.

=end

#3 - 01/01/2010 12:04 AM - naruse (Yui NARUSE)

=begin

Yes.

Current URI is based on RFC 2396, so this needs success.
=end

#4 - 01/01/2010 03:34 AM - marcandre (Marc-Andre Lafortune)
- Status changed from Rejected to Assigned

- Target version set to 1.9.2

=begin
I'll break this issue in two, then.

"hTTp://example.com/" should be normalized to "http://example.com/" as per RFC 2396

http://tools.ietf.org/html/rfc23964#section-3.1 (2nd paragraph)

Scheme names consist of a sequence of characters beginning with a
lower case letter and followed by any combination of lower case
letters, digits, plus ("+"), period ("."), or hyphen ("-"). For
resiliency, programs interpreting URI should treat upper case letters
as equivalent to lower case in scheme names (e.g., allow "HTTIP" as
well as "http").

=end

#5 - 01/02/2010 01:07 AM - naruse (Yui NARUSE)
hTTp://example.com/
http://exa%4dple.com/
http://example.com/
hTTp://example.com/
http://example.com/
http://tools.ietf.org/html/rfc2396#section-3.1

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

=begin
This issue was solved with changeset r26227.
Marc-Andre, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end
